%global python3_pkgversion 3.12

Name:           python%{python3_pkgversion}-markupsafe-epel
Version:        2.1.5
Release:        1%{?dist}
Summary:        Implements a XML/HTML/XHTML Markup safe string for Python
License:        BSD-3-Clause
URL:            https://palletsprojects.com/p/markupsafe/
Source:         https://github.com/pallets/markupsafe/archive/%{version}/markupsafe-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-pytest

%global _description %{expand:
MarkupSafe implements a text object that escapes characters so it is
safe to use in HTML and XML. Characters that have special meanings are
replaced so that they display as the actual characters. This mitigates
injection attacks, meaning untrusted user input can safely be displayed
on a page.}

%description %_description


%package -n python%{python3_pkgversion}-markupsafe
Summary:        %{summary}

%description -n python%{python3_pkgversion}-markupsafe %_description


%prep
%autosetup -n markupsafe-%{version}
# Exclude C source from the package:
echo 'global-exclude *.c' >> MANIFEST.in


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files markupsafe


%check
%pytest


%files -n python%{python3_pkgversion}-markupsafe -f %{pyproject_files}
%doc CHANGES.rst README.rst


%changelog
* Fri May 24 2024 Orion Poplawski <orion@nwra.com> - 2.1.5-1
- Build for EPEL with Python 3.12
